ZlibCompressor.CompressionHeader (Hadoop 0.20.2+737 API)
Date: 2010-10-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.hadoop.io.compress.zlib
Enum ZlibCompressor.CompressionHeader

    java.lang.Object
      java.lang.Enum<ZlibCompressor.CompressionHeader>
          org.apache.hadoop.io.compress.zlib.ZlibCompressor.CompressionHeader

All Implemented Interfaces:
  Serializable, Comparable<ZlibCompressor.CompressionHeader>

Enclosing class:
  ZlibCompressor

    public static enum ZlibCompressor.CompressionHeader

extends Enum<ZlibCompressor.CompressionHeader>

The type of header for compressed data.

Enum Constant Summary
`DEFAULT_HEADER` Default headers/trailers/checksums.
`GZIP_FORMAT` Simple gzip headers/trailers.
`NO_HEADER` No headers/trailers/checksums.

Method Summary
`static ZlibCompressor.CompressionHeader` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ZlibCompressor.CompressionHeader[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.
`int` | `windowBits()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NO_HEADER

    public static final ZlibCompressor.CompressionHeader NO_HEADER

  No headers/trailers/checksums.

### DEFAULT_HEADER

    public static final ZlibCompressor.CompressionHeader DEFAULT_HEADER

  Default headers/trailers/checksums.

### GZIP_FORMAT

    public static final ZlibCompressor.CompressionHeader GZIP_FORMAT

  Simple gzip headers/trailers.

Method Detail

### values

    public static ZlibCompressor.CompressionHeader[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ZlibCompressor.CompressionHeader c : ZlibCompressor.CompressionHeader.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ZlibCompressor.CompressionHeader valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### windowBits

    public int windowBits()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 The Apache Software Foundation